Transfer to E-Wallet
Process Flow

Process Flow Sequence Diagram
Account Inquiry
-
Service Code: 37
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/account-inquiryProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/account-inquiryRelative path url for signature/api/v1.0/emoney/account-inquiry -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 2 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 3 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request 3fa85f64-5717-4562-b3fc-2c963f66afa6 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 2 amount JSON Object Mandatory 3 amount.value String 19 Mandatory Transaction amount, must be ended with .00 10000.00 4 amount.currency String 3 Mandatory Currency based on ISO IDR 5 customerNumber String 32 Mandatory Customer account number, in format 628xxx 6281234567890 6 additionalInfo JSON Object 7 additionalInfo.channel String Mandatory E-Wallet Provider.
Available provider are:- TOP_UP_E_WALLET_DANA
- TRANSFER _E_WALLET_OVO
- TRANSFER_E_WALLET_GOPAY
- TRANSFER_E_WALLET_SHOPEEPAY
TOP_UP_E_WALLET_DANA -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2003700 2 responseMessage String 150 Mandatory Response Message Successful 3 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 4 amount JSON Object Mandatory 5 amount.value String 19 Mandatory Transaction amount, must be ended with .00 10000.00 6 amount.currency String 3 Mandatory Currency based on ISO IDR 7 customerName String 255 Mandatory Customer account name John 8 customerNumber String 32 Mandatory Customer account number, in format 628xxx 6281234567890 -
Response Code:
Code Description 2003700 Successful 4003701 Invalid field format 4003702 Invalid mandatory field 4013700 Unauthorized [reason] 5003700 Internal server error Example Request - Account Inquirycurl --location 'https://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/account-inquiry' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'CHANNEL-ID: 9552' \
--header 'Content-Type: application/json' \
--data '{
"partnerReferenceNo":" REF1234567890",
"amount":{
"value":"10000.00",
"currency":"IDR"
},
"customerNumber":"6281234567890",
"additionalInfo":{
"channel":"TOP_UP_E_WALLET_DANA"
}
}'Example Response - Account Inquiry{
"responseCode": "2003700",
"responseMessage": " Successful ",
"partnerReferenceNo": "REF1234567890",
"amount": {
"value": 10000.00,
"currency": "IDR"
},
"customerName": "John",
"customerNumber": "6281234567890"
}
Create Transfer
-
Service Code: 38
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/topupProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/topupRelative path url for signature/api/v1.0/emoney/topup -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 2 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 3 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 2 amount JSON Object Mandatory 3 amount.value String 19 Mandatory Transaction amount, must be ended with .00 10000.00 4 amount.currency String 3 Mandatory Currency based on ISO IDR 5 customerNumber String 32 Mandatory Customer account number, in format 628xxx 6281234567890 6 additionalInfo JSON Object 7 additionalInfo.channel String Mandatory E-Wallet Provider.
Available provider are:- TOP_UP_E_WALLET_DANA
- TRANSFER _E_WALLET_OVO
- TRANSFER_E_WALLET_GOPAY
- TRANSFER_E_WALLET_SHOPEEPAY
TOP_UP_E_WALLET_DANA -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2003800 2 responseMessage String 150 Mandatory Response Message Successful 3 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 4 amount JSON Object Mandatory 5 amount.value String 19 Mandatory Transaction amount, must be ended with .00 10000.00 6 amount.currency String 3 Mandatory Currency based on ISO IDR 7 customerNumber String 32 Mandatory Customer account number, in format 628xxx 6281234567890 -
Response Code:
Code Description 2003800 Successful 2003800 Invalid field format 4003802 Invalid mandatory field 4013800 Unauthorized [reason] 5003800 Internal server error Example Request - Create Transfercurl --location 'https://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/topup' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'CHANNEL-ID: 9552' \
--header 'Content-Type: application/json' \
--data '{"partnerReferenceNo":" REF1234567890","amount":{"value":"10000.00","currency":"IDR"},"customerNumber":"6281234567890","additionalInfo":{"channel":"TOP_UP_E_WALLET_DANA"}}'Example Response - Create Transfer{
"responseCode": "2003800",
"responseMessage": " Successful ",
"partnerReferenceNo": "REF1234567890",
"amount": {
"value": 10000.00,
"currency": "IDR"
},
"customerName": "Fulan",
"customerNumber": "6281234567890"
}
Get Transfer Status
-
Service Code: 39
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/topup-statusProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/topup-statusRelative path url for signature/api/v1.0/emoney/topup-status -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 2 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 3 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 originalPartnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 2 serviceCode String 2 Mandatory Transaction type indicator is based on the service code 38 -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2003900 2 responseMessage String 150 Mandatory Response Message Successful 3 originalPartnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 4 originalReferenceNo String 64 Mandatory Transaction identifier on Cash In System TF1234567890 5 serviceCode String 2 Mandatory Transaction type indicator is based on the service code 38 6 amount JSON Object Mandatory 7 amount.value String 19 Mandatory Transaction amount, must be ended with .00 10000.00 8 amount.currency String 3 Mandatory Currency based on ISO IDR 9 latestTransactionStatus String 2 Mandatory Status of the latest transaction 00 10 latestTransactionDesc String 50 Mandatory Description of transaction status Success -
Response Code:
Code Description 2003900 Successful 2003900 Invalid field format 4003902 Invalid mandatory field 4013900 Unauthorized [reason] 5003900 Internal server error Example Request - Get Transfer Statuscurl --location 'https://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/topup-status' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'CHANNEL-ID: 9552' \
--header 'Content-Type: application/json' \
--data '{"originalPartnerReferenceNo":" REF1234567890","serviceCode":"38"}'Example Response - Get Transfer Status{
"responseCode": "2003900",
"responseMessage": "Successful",
"originalPartnerReferenceNo": "REF1234567890",
"originalReferenceNo": " TF1234567890",
"serviceCode": "38",
"amount": {
"value":10000.00,
"currency": "IDR"
},
"latestTransactionStatus": "00",
"latestTransactionDesc": "Success"
}